Drop pcre2-version-update.patch

Bug #1818991 reported by Thorsten on 2019-03-07
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tilix (Ubuntu)
Undecided
Unassigned

Bug Description

The pcre2-version-update.patch in disco should not be necessary anymore and should be removed, since pcre2 has been accepted in main [0] and vte has been build with pcre2 support [1]. Moreover, the pcre2 backport in vte caused various confusion [2] and other issues [3].

[0] https://bugs.launchpad.net/ubuntu/+source/pcre2/+bug/1636666
[1] http://changelogs.ubuntu.com/changelogs/pool/main/v/vte2.91/vte2.91_0.54.2-2ubuntu2/changelog
[2] https://github.com/gnunn1/tilix/issues/916
[3] https://bugs.launchpad.net/ubuntu/+source/tilix/+bug/1785885

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in tilix (Ubuntu):
status: New → Confirmed
Jeremy Bicha (jbicha) wrote :

Why do you think the patch is still in tilix in Ubuntu 19.04?

I believe I dropped the patch in January when I prepared 1.8.9-1.

Changed in tilix (Ubuntu):
status: Confirmed → Incomplete
Egmont Koblinger (egmont-gmail) wrote :

The patch itself is misleadingly still present inside tilix_1.8.9-1build1.debian.tar.xz. It's not mentioned in 'series' though, which I believe means it's not applied? This might have confused OP and me as well.

Thorsten (thorstenr-42) wrote :

Ah sry, i missed the series file/thought it was still applied

Thorsten (thorstenr-42) on 2019-03-20
Changed in tilix (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers